# This is a snapshot of the BCEL trunk for FindBugs 2.0.

%global findbugsver 20130910svn1521566

Name:           findbugs-bcel
Version:        5.3
Release:        %mkrel 0.1.%{findbugsver}.1
Summary:        Byte Code Engineering Library for FindBugs

Group:          Development/Java
License:        ASL 2.0
URL:            http://commons.apache.org/proper/commons-bcel/

# This archive was created with:
#   $ svn export http://svn.apache.org/repos/asf/commons/proper/bcel/trunk bcel-5.3
#   $ tar -zcf bcel-20130910svn1521566.tgz bcel-5.3
Source0:        bcel-%{findbugsver}.tgz

BuildRequires:  java-devel, jpackage-utils
Requires:       java, jpackage-utils

BuildArch:      noarch

%description
This is a snapshot of Apache's Byte Code Engineering Library (BCEL) for use
with FindBugs 2.0.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q -n bcel-%{version}

%build
mkdir classes
find src/main/java -type f -name '*.java' | \
xargs javac -g -d classes -source 1.5 -encoding ISO8859-1
cd classes
jar cf findbugs-bcel-%{findbugsver}.jar org
cd ..

mkdir javadoc
find src/main/java -type f -name '*.java' | xargs javadoc -sourcepath src/main/java \
  -classpath classes -source 1.5 -encoding ISO8859-1 -d javadoc 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p classes/findbugs-bcel-%{findbugsver}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s findbugs-bcel-%{findbugsver}.jar $RPM_BUILD_ROOT%{_javadir}/findbugs-bcel.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
cp -a javadoc $RPM_BUILD_ROOT%{_javadocdir}/findbugs-bcel-%{findbugsver}
ln -s findbugs-bcel-%{findbugsver} $RPM_BUILD_ROOT%{_javadocdir}/findbugs-bcel

%files
%defattr(-,root,root,-)
%doc LICENSE.txt NOTICE.txt README.txt
%{_javadir}/findbugs-bcel*

%files javadoc
%defattr(-,root,root,-)
%doc LICENSE.txt NOTICE.txt
%{_javadocdir}/findbugs-bcel*




%changelog
* Mon Jan 06 2014 dmorgan <dmorgan> 5.3-0.1.20130910svn1521566.1.mga4
+ Revision: 565034
- New version

* Fri Oct 18 2013 umeabot <umeabot> 5.2-0.1.3.8.8.mga4
+ Revision: 505176
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 5.2-0.1.3.8.7.mga3
+ Revision: 352481
- Clean spec file

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 21 2011 dmorgan <dmorgan> 1.3.9-1.mga2
+ Revision: 157165
- Fix group

  + gil <gil>
    - added new maven2 poms

* Mon Jun 27 2011 gil <gil> 1.3.9-0.mga2
+ Revision: 114814
- imported package findbugs-bcel


* Mon Jun 27 2011 gil <gil> 1.3.9-0.%%mkrel
- initial rpm